----------------------------------------------------------------------
-- Created by SmartDesign Tue Apr 25 13:40:46 2017
-- Version: v11.8 11.8.0.26
----------------------------------------------------------------------

----------------------------------------------------------------------
-- Libraries
----------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library smartfusion2;
use smartfusion2.all;
----------------------------------------------------------------------
-- dp_ram8x512 entity declaration
----------------------------------------------------------------------
entity dp_ram8x512 is
    -- Port list
    port(
        -- Inputs
        A_ADDR : in  std_logic_vector(8 downto 0);
        A_BLK  : in  std_logic;
        A_DIN  : in  std_logic_vector(7 downto 0);
        A_WEN  : in  std_logic;
        B_ADDR : in  std_logic_vector(8 downto 0);
        B_BLK  : in  std_logic;
        B_DIN  : in  std_logic_vector(7 downto 0);
        B_WEN  : in  std_logic;
        CLK    : in  std_logic;
        -- Outputs
        A_DOUT : out std_logic_vector(7 downto 0);
        B_DOUT : out std_logic_vector(7 downto 0)
        );
end dp_ram8x512;
----------------------------------------------------------------------
-- dp_ram8x512 architecture body
----------------------------------------------------------------------
architecture RTL of dp_ram8x512 is
----------------------------------------------------------------------
-- Component declarations
----------------------------------------------------------------------
-- dp_ram8x512_dp_ram8x512_0_DPSRAM   -   Actel:SgCore:DPSRAM:1.0.101
component dp_ram8x512_dp_ram8x512_0_DPSRAM
    -- Port list
    port(
        -- Inputs
        A_ADDR : in  std_logic_vector(8 downto 0);
        A_BLK  : in  std_logic;
        A_DIN  : in  std_logic_vector(7 downto 0);
        A_WEN  : in  std_logic;
        B_ADDR : in  std_logic_vector(8 downto 0);
        B_BLK  : in  std_logic;
        B_DIN  : in  std_logic_vector(7 downto 0);
        B_WEN  : in  std_logic;
        CLK    : in  std_logic;
        -- Outputs
        A_DOUT : out std_logic_vector(7 downto 0);
        B_DOUT : out std_logic_vector(7 downto 0)
        );
end component;
----------------------------------------------------------------------
-- Signal declarations
----------------------------------------------------------------------
signal A_DOUT_0       : std_logic_vector(7 downto 0);
signal B_DOUT_0       : std_logic_vector(7 downto 0);
signal A_DOUT_0_net_0 : std_logic_vector(7 downto 0);
signal B_DOUT_0_net_0 : std_logic_vector(7 downto 0);
----------------------------------------------------------------------
-- TiedOff Signals
----------------------------------------------------------------------
signal GND_net        : std_logic;

begin
----------------------------------------------------------------------
-- Constant assignments
----------------------------------------------------------------------
 GND_net <= '0';
----------------------------------------------------------------------
-- Top level output port assignments
----------------------------------------------------------------------
 A_DOUT_0_net_0     <= A_DOUT_0;
 A_DOUT(7 downto 0) <= A_DOUT_0_net_0;
 B_DOUT_0_net_0     <= B_DOUT_0;
 B_DOUT(7 downto 0) <= B_DOUT_0_net_0;
----------------------------------------------------------------------
-- Component instances
----------------------------------------------------------------------
-- dp_ram8x512_0   -   Actel:SgCore:DPSRAM:1.0.101
dp_ram8x512_0 : dp_ram8x512_dp_ram8x512_0_DPSRAM
    port map( 
        -- Inputs
        A_BLK  => A_BLK,
        A_WEN  => A_WEN,
        B_BLK  => B_BLK,
        B_WEN  => B_WEN,
        CLK    => CLK,
        A_DIN  => A_DIN,
        A_ADDR => A_ADDR,
        B_DIN  => B_DIN,
        B_ADDR => B_ADDR,
        -- Outputs
        A_DOUT => A_DOUT_0,
        B_DOUT => B_DOUT_0 
        );

end RTL;
