# Load the HECTOR tcl extension
source HECTOR_data_acq.tcl

# Set the variables for commands
set load_n_value 12    
set load_ssi_high_32 8
set send_ssi_word 6
set read_ssi_high_32 9
set read_ssi_low_32 10
set read_acquisition_time 7

# Open the serial device
set dev [openDevice]


# Set the GPIOs to configure the TRNG output multiplexer
#   0 = Counter increments numbers
#   1 = Counter decrements numbers

  setGPIO $dev 1       

# Close the connection to the board
disconnect $dev
