/**
  ******************************************************************************
  * @file      my_vcp.h
  * @author    Marek Laban, Marcel Kleja, MICRONIC a.s., LabHC
  * @version   v1.0
  * @note      Created in frame of HECTOR project (No. 644052).
  * @copyright MICRONIC a.s., LabHC
  * @date      16-May-2016
  * @revision  v1.0 created (ML)
  * @brief     Contains registers and values used at FABRIC control block
  *            (ctrl.vhd)
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef MY_VCP_H_
#define MY_VCP_H_
    void     VCP_conf          (void);
	void     send_pp_data      (void);
	uint32_t ppdata2vcp_cnt    (void);
	void     dec_ppdata2vcp_cnt(uint32_t vcp_cnt);
	void     inc_ppdata2vcp_cnt(uint32_t vcp_cnt);
	void conf_test (void);
#endif
