quietly set ACTELLIBNAME SmartFusion2
quietly set PROJECT_DIR "U:/HECTOR/postprocesing/PreViktora_PLL_TRNG/Eval_pfm"
onerror { quit -f }
onbreak { quit -f }
source "${PROJECT_DIR}/simulation/CM3_compile_bfm.tcl";source "${PROJECT_DIR}/simulation/bfmtovec_compile.tcl";

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   file delete -force presynth 
   vlib presynth
}
vmap presynth presynth
vmap SmartFusion2 "C:/Microsemi/Libero_SoC_v11.8/Designer/lib/modelsim/precompiled/vlog/SmartFusion2"
vmap COREAHBLITE_LIB "../component/Actel/DirectCore/CoreAHBLite/5.2.100/mti/user_vhdl/COREAHBLITE_LIB"
vcom -work COREAHBLITE_LIB -force_refresh
vlog -work COREAHBLITE_LIB -force_refresh
if {[file exists COREFIFO_LIB/_info]} {
   echo "INFO: Simulation library COREFIFO_LIB already exists"
} else {
   file delete -force COREFIFO_LIB 
   vlib COREFIFO_LIB
}
vmap COREFIFO_LIB "COREFIFO_LIB"

vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/Actel/DirectCore/CoreConfigP/7.0.105/rtl/vhdl/core/coreconfigp.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/Actel/DirectCore/CoreResetP/7.0.104/rtl/vhdl/core/coreresetp_pcie_hotreset.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/Actel/DirectCore/CoreResetP/7.0.104/rtl/vhdl/core/coreresetp.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_MSS/Eval_pfm_MSS.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm/OSC_0/Eval_pfm_OSC_0_OSC.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/coreahblite_addrdec.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/coreahblite_defaultslavesm.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/coreahblite_masterstage.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/coreahblite_slavearbiter.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/coreahblite_slavestage.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/coreahblite_matrix4x16.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/coreahblite_pkg.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/coreahblite.vhd"
vcom -93 -explicit  -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.2.100/rtl/vhdl/core/components.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm/Eval_pfm.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/FCCC_0/Eval_pfm_top_FCCC_0_FCCC.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_0/Eval_pfm_top_IO_0_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_10/Eval_pfm_top_IO_10_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_11/Eval_pfm_top_IO_11_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_12/Eval_pfm_top_IO_12_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_13/Eval_pfm_top_IO_13_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_14/Eval_pfm_top_IO_14_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_15/Eval_pfm_top_IO_15_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_16/Eval_pfm_top_IO_16_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_1/Eval_pfm_top_IO_1_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_2/Eval_pfm_top_IO_2_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_3/Eval_pfm_top_IO_3_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_4/Eval_pfm_top_IO_4_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_5/Eval_pfm_top_IO_5_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_6/Eval_pfm_top_IO_6_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_7/Eval_pfm_top_IO_7_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_8/Eval_pfm_top_IO_8_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/IO_9/Eval_pfm_top_IO_9_IO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/OSC_0/Eval_pfm_top_OSC_0_OSC.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/lab_hc_mb_pkg.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/ahb_reg.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/ram_if.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/ssi_rx.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/ssi_tx.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/ssi.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/ctrl.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/mux.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/ser2par.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/dp_ram8x512/dp_ram8x512_0/dp_ram8x512_dp_ram8x512_0_DPSRAM.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/dp_ram8x512/dp_ram8x512.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/bt_at_gf256.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/bt_gf256.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/sbox_tab_gen.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/sbox_pack.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/sbox_wrap.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/keysched.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/xtime.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/mixcols.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/aes_pkg.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/aes_enc128.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/corefifo_doubleSync.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/corefifo_grayToBinConv.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/Actel/DirectCore/COREFIFO/2.6.108/rtl/vhdl/core/fifo_pkg.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/corefifo_async.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/corefifo_fwft.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/corefifo_sync.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/corefifo_sync_scntr.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/fifo128_fifo128_0_LSRAM_top.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/fifo128_fifo128_0_ram_wrapper.vhd"
vcom -93 -explicit  -work COREFIFO_LIB "${PROJECT_DIR}/component/work/fifo128/fifo128_0/rtl/vhdl/core/COREFIFO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/fifo128/fifo128.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/crypto_pp.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/component/work/Eval_pfm_top/Eval_pfm_top.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/stimulus/testtb.vhd"

vsim -L SmartFusion2 -L presynth -L COREAHBLITE_LIB -L COREFIFO_LIB  -t 1ps presynth.testtb
add wave /testtb/*
add log -r /*
run 40us
log /testtb/*
exit
